gr-baz Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::baz::fractional_resampler_cc Class Referenceabstract

resampling MMSE filter with complex input, complex output More...

`#include <baz_fractional_resampler_cc.h>`

Inheritance diagram for gr::baz::fractional_resampler_cc:
[legend]

## Public Types
typedef boost::shared_ptr< fractional_resampler_cc > | sptr

## Public Member Functions
virtual long double | mu () const =0
virtual long double | resamp_ratio () const =0
virtual void | set_mu (long double mu)=0
virtual void | set_resamp_ratio (long double resamp_ratio)=0
virtual void | set_resamp_ratio (double resamp_ratio)=0
virtual void | set_resamp_ratio (unsigned long long resamp_ratio_num, unsigned long long resamp_ratio_denom)=0

## Static Public Member Functions
static sptr | make (double phase_shift, double resamp_ratio, unsigned long long resamp_ratio_num=0, unsigned long long resamp_ratio_denom=0)
| Build the resampling MMSE filter (complex input, complex output) More...

## Detailed Description

resampling MMSE filter with complex input, complex output

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<fractional_resampler_cc> gr::baz::fractional_resampler_cc::sptr

## Member Function Documentation

## ◆ make()

static sptr gr::baz::fractional_resampler_cc::make | ( | double | phase_shift,
|  | double | resamp_ratio,
|  | unsigned long long | resamp_ratio_num = `0`,
|  | unsigned long long | resamp_ratio_denom = `0`
| ) |  |
| static

Build the resampling MMSE filter (complex input, complex output)

Parameters

  phase_shift | The phase shift of the output signal to the input
  resamp_ratio | The resampling ratio = input_rate / output_rate.

## ◆ mu()

virtual long double gr::baz::fractional_resampler_cc::mu | ( |  | ) | const
| pure virtual

## ◆ resamp_ratio()

virtual long double gr::baz::fractional_resampler_cc::resamp_ratio | ( |  | ) | const
| pure virtual

## ◆ set_mu()

virtual void gr::baz::fractional_resampler_cc::set_mu | ( | long double | mu | ) |
| pure virtual

## ◆ set_resamp_ratio() [1/3]

virtual void gr::baz::fractional_resampler_cc::set_resamp_ratio | ( | double | resamp_ratio | ) |
| pure virtual

## ◆ set_resamp_ratio() [2/3]

virtual void gr::baz::fractional_resampler_cc::set_resamp_ratio | ( | long double | resamp_ratio | ) |
| pure virtual

## ◆ set_resamp_ratio() [3/3]

virtual void gr::baz::fractional_resampler_cc::set_resamp_ratio | ( | unsigned long long | resamp_ratio_num,
|  | unsigned long long | resamp_ratio_denom
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- baz_fractional_resampler_cc.h